4Suite™ API Documentation

# ► Module Ft.Rdf.Parsers.Versa.Context

Context that is passed around for the current evaluation
WWW: http://4suite.org/4XSLT e-mail: support@4suite.org
Copyright (c) 1999-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: Context |  |  |  | Functions: ContextFromKeyWord |  |  |  | Fields: RDF_MS_BASE, RDF_SCHEMA_BASE, TRANSITIVE_BY_RULE

## Classes

class Context

### Methods

__init__(self, driver, nsMapping, varBindings, scope=None)
clone(self)
getCachedSuperProps(self)
isTransitive(self, property)

## Functions

ContextFromKeyWord(kw)
Create a new context for processing, allowed params: model = an instance of an Ft.Rdf.Model.Model driver = an instance of Ft.Rdf.Drivers.* nsMapping = a dictionary that map prefix to namespace varBindings = a dictionary. keys are a tuple of (namepsace,localName) and values are any allowed data type

## Fields

RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
RDF_SCHEMA_BASE = 'http://www.w3.org/2000/01/rdf-schema#'
TRANSITIVE_BY_RULE = [u'http://www.w3.org/2000/01/rdf-schema#subPropertyOf', u'http://www.w3.org/2000/01/rdf-schema#subClassOf']